Angular Bootstrap Notification

Angular Notification - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap notifications are feedback messages that are displayed after specific actions enacted by the user. The text length is unlimited.

With the right use of colors, they add some emotional weight to our information, ranging from a simple warning to a critical system failure or from an operation success to other neutral information.


Basic example MDB Pro component

Info message Warning message Success message Error message
        
            
          <!--Info message-->
          <a mdbBtn color="info" class="waves-light" (click)="showInfo()" mdbWavesEffect>Info message</a>
          <!--Warning message-->
          <a mdbBtn color="warning" class="waves-light" (click)="showWarning()" mdbWavesEffect>Warning message</a>
          <!--Success message-->
          <a mdbBtn color="success" class="waves-light" (click)="showSuccess()" mdbWavesEffect>Success message</a>
          <!--Error message-->
          <a mdbBtn color="danger" class="waves-light" (click)="showError()" mdbWavesEffect>Error message</a>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ToastService } from 'ng-uikit-pro-standard';

          @Component({
            selector: 'toast-component-example',
            templateUrl: 'toast.component.html',
          })
          export class ToastComponent {
            constructor(private toastrService: ToastService) {}

            showSuccess() {
              this.toastrService.success('Info message');
            }

            showError() {
              this.toastrService.error('Warning message');
            }

            showInfo() {
              this.toastrService.info('Success message');
            }

            showWarning() {
              this.toastrService.warning('Error message');
            }
          }
        
        
    

Important update!

Since version 4.3.7, Toast Service has to be imported separately as a singleton to avoid circular dependencies.

Import Toast Service as a singleton:

        
            
          import { ToastModule } from 'ng-uikit-pro-standard';
          ...
          imports: [
            ...
            ToastModule.forRoot(),
            ...
          ],
        
        
    
        
            
          import {ToastService} from 'ng-uikit-pro-standard'
          ...
          constructor(
            ...
            private toast: ToastService
            ...
          ) { }
        
        
    
        
            
          ngOnInit() {
            setTimeout(
              () => this.toast.info("It works!")
            );
          }
        
        
    

Change opacity MDB Pro component

In some cases, you may want to change the default opacity value for each individual alert. To do this, add the opacity parameter to the toast options.

        
            
          <!--Info message-->
          <a mdbBtn color="info" class="waves-light" (click)="showInfo()" mdbWavesEffect>Info message</a>
          <!--Warning message-->
          <a mdbBtn color="warning" class="waves-light" (click)="showWarning()" mdbWavesEffect>Warning message</a>
          <!--Success message-->
          <a mdbBtn color="success" class="waves-light" (click)="showSuccess()" mdbWavesEffect>Success message</a>
          <!--Error message-->
          <a mdbBtn color="danger" class="waves-light" (click)="showError()" mdbWavesEffect>Error message</a>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ToastService } from 'ng-uikit-pro-standard';

          @Component({
            selector: 'toast-opacity',
            templateUrl: 'toast-opacity.component.html',
          })
          export class ToastOpacityComponent {
            constructor(private toastrService: ToastService) {}

            showSuccess() {
              const options = { opacity: 1 };
              this.toastrService.success('Hello world!', 'Toastr success!', options);
            }

            showError() {
              const options = { opacity: 0.8 };
              this.toastrService.error('Error message', 'Toastr error!', options);
            }

            showInfo() {
              const options = { opacity: 0.5 };
              this.toastrService.info('Info message', 'Toastr info!', options);
            }

            showWarning() {
              const options = { opacity: 0.2 };
              this.toastrService.warning('Warnig message', 'Toastr warning!', options);
            }
          }
        
        
    

Show alerts after server call MDB Pro component

If you are in contact with a server, it may be useful to display alerts to the user on whether the data has been successfully downloaded or not. The following example illustrates the basic use of alerts in a server contact.

        
            
          <div class="row">
            <div class="col-md-6 mx-auto my-5">
              <h3 class="text-center py-2">Users: </h3>
              <ul class="list-group" *ngFor="let user of usersArray">
                <li class="list-group-item">{{ user }}</li>
              </ul>
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';
          import { ToastService } from 'ng-uikit-pro-standard';
          import { HttpClient } from '@angular/common/http';

          @Component({
            selector: 'server-alerts',
            templateUrl: './server-alerts.component.html',
            styleUrls: ['./server-alerts.component.scss'],
          })
          export class ServerAlertsComponent {
            url = 'https://jsonplaceholder.typicode.com/users/';

            usersArray: any[] = [];

            constructor(private toastrService: ToastService, private http: HttpClient) {}

            showSuccess(data: any) {
              this.toastrService.success(
                'User: ' + '"' + data.name + '"' + ' successfully fetched'
              );
            }

            showError(id: number) {
              this.toastrService.error('Error: User with ID: ' + id + " doesn't exists");
            }

            connectionEnd(id: number) {
              this.toastrService.error('Connection ended after ' + id + ' calls');
            }

            getData(id: number) {
              return this.http.get(this.url + id);
            }

            ngAfterViewInit() {
              let i = 1;
              const getDataInterval = setInterval(() => {
                this.getData(i).subscribe(
                  (response: any) => {
                    this.usersArray.push(response.name);
                    this.showSuccess(response);
                    i++;
                  },
                  (error) => {
                    if (i < 15) {
                      this.showError(i);
                    } else {
                      clearInterval(getDataInterval);
                      this.connectionEnd(i);
                    }
                    i++;
                  }
                );
              }, 2000);
            }
          }
        
        
    

Remove single alert MDB Pro component

You can use the clear() method to remove an active alert with a specific id.

        
            
            <button mdbBtn color="primary" (click)="removeSingleAlert()">Remove single alert</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ToastService } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'toast-remove',
              templateUrl: 'toast-remove.component.html',
            })
            export class ToastRemoveComponent {
              alertId = 0;

              constructor(private toastrService: ToastService) {}

              showSuccess() {
                const successAlert = this.toastrService.success('Info message');
                this.alertId = successAlert.toastId;
              }

              removeSingleAlert() {
                this.toastrService.clear(this.alertId);
              }
            }
          
        
    

Remove all alerts MDB Pro component

You can use the clear() method without parameters to remove all active alerts.

        
            
            <button mdbBtn color="primary" (click)="removeAlerts()">Remove alerts</button>
            <a mdbBtn color="info" class="waves-light" (click)="showInfo()" mdbWavesEffect>Info message</a>
            <!--Warning message-->
            <a mdbBtn color="warning" class="waves-light" (click)="showWarning()" mdbWavesEffect>Warning message</a>
            <!--Success message-->
            <a mdbBtn color="success" class="waves-light" (click)="showSuccess()" mdbWavesEffect>Success message</a>
            <!--Error message-->
            <a mdbBtn color="danger" class="waves-light" (click)="showError()" mdbWavesEffect>Error message</a>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ToastService } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'toast-remove',
              templateUrl: 'toast-remove.component.html',
            })
            export class ToastRemoveComponent {
              constructor(private toastrService: ToastService) {}

              showSuccess() {
                const options = { toastClass: 'opacity' };
                this.toastrService.success('Success message description', 'Success message', options);
              }

              showError() {
                const options = { toastClass: 'opacity' };
                this.toastrService.error('Error message description', 'Error message', options);
              }

              showInfo() {
                const options = { toastClass: 'opacity' };
                this.toastrService.info('Info message description', 'Info message', options);
              }

              showWarning() {
                const options = { toastClass: 'opacity' };
                this.toastrService.warning('Warning message description', 'Warning message', options);
              }

              removeAlerts() {
                this.toastrService.clear();
              }
            }
          
        
    

Angular Notification / Toast - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of toasts.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ToastModule, WavesModule } from 'ng-uikit-pro-standard'
          import { BrowserAnimationsModule } from '@angular/platform-browser/animations'
        
        
    

Services

ToastService

Type: ToastService


Options

There are global and individual alert options. All individual alert options are included in the global options.

Global options for alerts need to be set in ToastModule.forRoot({}) in imports: [] array located in app.module.ts file.

For example, global options that allows only 2 alerts to be visible at time should look like this: ToastModule.forRoot({maxOpened: 2})

Please note that if you want to use following options to add your custom class, you have to put this class in your global stylesheet (styles.scss) as well.

Global options
Name Type Default Description Example
autoDismiss boolean false Dismiss current alert when max number of opened alerts is reached { autoDismiss: true }
iconClasses string error: 'toast-error', info: 'toast-info', success: 'toast-success', warning: 'toast-warning' Classes used on toast service methods iconClasses = { error: 'md-toast-error', info: 'md-toast-info', success: 'md-toast-success', warning: 'md-toast-warning' };
maxOpened number 0 Max alerts opened, alerts will be queued (0 means unlimited) { maxOpened: 5 }
newestOnTop boolean true Whether new alert should be placed on top { newestOnTop: false }
preventDuplicates boolean false Allow or block duplicate messages { preventDuplicates: true }
Individual options
Name Type Default Description Example
actionButton string - Show action button with specified title { actionButton: 'Action button' }
actionButtonClass string - Add provided class to the toast action button { actionButtonClass: 'text-red my-5' }
closeButton boolean false Show close buttons { closeButton: true }
enableHtml boolean false Allow html in message (UNSAFE) { enableHtml: true }
extendedTimeOut number 1000 Time for which alert display will be extended after user hover over toast (in miliseconds) { extendedTimeOut: 2000 }
messageClass string 'md-toast-message' Class applied to alert message element { messageClass: 'custom-message' }
positionClass string 'md-toast-top-right' Class applied to alert container, used to change alert positioning { positionClass: 'md-toast-bottom-right' }
progressBar boolean false Show progress bar { progressBar: true }
tapToDismiss boolean true Close alert on click { tapToDismiss: false }
timeOut number 5000 Time by which the alert will be active (in miliseconds) { timeOut: 3000 }
titleClass string 'md-toast-title' Class applied to alert title { titleClass: 'custom-title' }
toastClass string 'md-toast' Class applied to alert { toastClass: 'custom-toast' }
Usage examples
        
            
          showSuccess() {
            const options = { 
              closeButton: true,
              actionButton: 'Action',
              tapToDismiss: false,
              titleClass: 'yellow'
            };
            this.toastrService.success('Hello world!', 'Toastr success!', options);
          }

          showError() {
            const options = { 
              enableHtml: false,
              positionClass: 'md-toast-bottom-right'
            };
            this.toastrService.error('Error message', 'Toastr error!', options);
          }
    
          showInfo() {
            const options = {
              extendedTimeOut: 30000,
              messageClass: 'pink'
            };
            this.toastrService.info('Info message', 'Toastr info!', options);
          }
    
          showWarning() {
            const options = {
              progressBar: true,
              timeOut: 3000,
              toastClass: 'black'
            };
            this.toastrService.warning('Warnig message', 'Toastr warning!', options);
          }
        
        
    

Events

Name Type Description Example
onAction any The event is fired when action button is clicked alertInstance.onAction.subscribe(() => {})
onHidden any The event is fired when tap on the alert is detected alertInstance.onHidden.subscribe(() => {})
onShown any The event is fired when alert shows on screen alertInstance.onShown.subscribe(() => {})
onTap any The event is fired when tap on the alert is detected alertInstance.onTap.subscribe(() => {}))
Usage examples
        
            
          showSuccess() {
            const options = { 
              closeButton: true,
              progressBar: true,
              actionButton: 'Action',
              tapToDismiss: true
            };
            const alertInstance = this.toastrService.success('Hello world!', 'Toastr success!', options);
            
            alertInstance.onAction.subscribe(() => {
              console.log('on action');
            });
            
            alertInstance.onTap.subscribe(() => {
              console.log('on tap');
            });
            
            alertInstance.onShown.subscribe(() => {
              console.log('on shown');
            });
            
            alertInstance.onHidden.subscribe(() => {
              console.log('on hidden');
            });
          }
        
        
    

Methods

To get access to alert methods inject ToastService to your component:

constructor(private toastrService: ToastService) {}

Name Description
clear(alertId) Removes single active alert with specified id
clear() Removes all active alerts

Angular Notification / Toast - examples & customization


Individual config options MDB Pro component

        
            
          <!--Info message-->
          <a mdbBtn color="info" class="waves-light" (click)="showInfo()" mdbWavesEffect>Info message</a>
          <!--Warning message-->
          <a mdbBtn color="warning" class="waves-light" (click)="showWarning()" mdbWavesEffect>Warning message</a>
          <!--Success message-->
          <a mdbBtn color="success" class="waves-light" (click)="showSuccess()" mdbWavesEffect>Success message</a>
          <!--Error message-->
          <a mdbBtn color="danger" class="waves-light" (click)="showError()" mdbWavesEffect>Error message</a>
        
        
    
        
            
          import { ToastService } from 'ng-uikit-pro-standard';
          import { Component } from '@angular/core';

          @Component({
            selector: 'individual-config',
            templateUrl: './individual-config.component.html',
            styleUrls: ['./individual-config.component.scss'],
          })
          export class IndividualConfigComponent {
            constructor(private toastrService: ToastService) { }

            showSuccess() {
              const options = { closeButton: true, actionButton: 'Action', tapToDismiss: false, titleClass: 'yellow' };
              this.toastrService.success('Hello world!', 'Toastr success!', options);
            }

            showError() {
              const options = { enableHtml: false, positionClass: 'md-toast-bottom-right' };
              this.toastrService.error('Error message', 'Toastr error!', options);
            }

            showInfo() {
              const options = { extendedTimeOut: 30000, messageClass: 'pink' };
              this.toastrService.info('Info message', 'Toastr info!', options);
            }

            showWarning() {
              const options = { progressBar: true, timeOut: 3000, toastClass: 'black' };
              this.toastrService.warning('Warnig message', 'Toastr warning!', options);
            }
          }
        
        
    

Toast events MDB Pro component

        
            
          <!--Success message-->
          <a mdbBtn color="success" class="waves-light" (click)="showSuccess()" mdbWavesEffect>Success message</a>
        
        
    
        
            
          import { ToastService } from 'ng-uikit-pro-standard';
          import { Component } from '@angular/core';

          @Component({
            selector: 'toast-events',
            templateUrl: './toast-events.component.html',
            styleUrls: ['./toast-events.component.scss'],
          })
          export class ToastEventsComponent {
            constructor(private toastrService: ToastService) { }

            showSuccess() {
              const options = { closeButton: true, progressBar: true, actionButton: 'Action', tapToDismiss: true };
              const alertInstance = this.toastrService.success('Hello world!', 'Toastr success!', options);

              alertInstance.onAction.subscribe(() => {
                console.log('on action');
              });

              alertInstance.onTap.subscribe(() => {
                console.log('on tap');
              });

              alertInstance.onShown.subscribe(() => {
                console.log('on shown');
              });

              alertInstance.onHidden.subscribe(() => {
                console.log('on hidden');
              });
            }
          }

Vue Bootstrap Notifications

Vue Notifications - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap notifications are feedback messages which are displayed after specific actions preceded by the user. Length of the text is not limited.

With the right use of colors, they add some emotional weight to our information, ranging from a simple warning to critical system failure or from an operation success to a neutral information.


Material example MDB Pro component

        
            
        <template>
          <div>
            <mdbBtn color="info" @click.native="info">info message</mdbBtn>
            <mdbBtn color="warning" @click.native="warning">warning message</mdbBtn>
            <mdbBtn color="success" @click.native="success">success message</mdbBtn>
            <mdbBtn color="danger" @click.native="error">error message</mdbBtn>
          </div>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbBtn
          } from 'mdbvue';
          export default {
            components: {
              mdbBtn
            },
            methods: {
              info() {
                this.$notify.info({
                  message: 'Hi! I am info message.',
                  position: 'top right',
                  timeOut: 5000
                });
              },
              warning() {
                this.$notify.warn({
                  message: 'Hi! I am warning message.',
                  position: 'top right',
                  timeOut: 5000
                });
              },
              success() {
                this.$notify.success({
                  message: 'Hi! I am success message.',
                  position: 'top right',
                  timeOut: 5000
                });
              },
              error() {
                this.$notify.error({
                  message: 'Hi! I am error message.',
                  position: 'top right',
                  timeOut: 5000
                });
              }
            }
          }
        </script>
        
        
    

Bootstrap example

        
            
      <template>
        <mdb-toast-notification :show="show"></mdb-toast-notification>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbToastNotification
        } from "mdbvue";
        export default {
          name: "NotificationsFreePage",
          components: {
            mdbToastNotification,
          },
          data() {
            return {
              show: true
            }
          }
        };
      </script>
      
        
    

Stacking

When you have multiple toasts, we default to vertiaclly stacking them in a readable manner.

        
            
      <template>
        <section>
          <mdb-toast-notification :show="show"></mdb-toast-notification>
          <mdb-toast-notification :show="show"></mdb-toast-notification>
          <mdb-toast-notification :show="show"></mdb-toast-notification>
        </section>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbToastNotification
        } from "mdbvue";
        export default {
          name: "NotificationsFreePage",
          components: {
            mdbToastNotification,
          },
          data() {
            return {
              show: true
            }
          }
        };
      </script>
      
        
    

Placement

Use the css position property on wrapping components to controll placement of your notification.

        
            
      <template>
        <section class="grey">
          <div class="container">
            <div class="placement">
              <mdb-toast-notification 
                v-for="message in messages" 
                :key="message.id" 
                :title="message.title"
                :message="message.message" 
                :icon="message.icon" 
                :iconColor="message.color" 
                :show="show" 
              />
            </div>
          </div>
        </section>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbToastNotification
        } from "mdbvue";
        export default {
          name: "NotificationsPage",
          components: {
            mdbToastNotification
          },
          data() {
            return {
              show: true,
              messages: [{
                  id: 1,
                  title: "alert",
                  message: "important meeting in 15 minutes!",
                  icon: 'exclamation',
                  color: 'danger'
                },
                {
                  id: 2,
                  title: "new message",
                  message: "Can you buy carrots on your way home?",
                  icon: "envelope"
                },
                {
                  id: 3,
                  title: "alarm",
                  message: "it's 7 o'clock!",
                  icon: 'bell',
                  color: 'elegant'
                },
              ]
            };
          }
        };
      </script>
      
        
    
        
            
        <style>
          .container {
            position: relative;
            min-height: 340px;
          }

          .placement {
            position: absolute;
            right: 0;
          }
        </style>
      
        
    

Custom icons

Use icon property to set custom icon from the icons list.

        
            
      <template>
        <mdb-toast-notification title="Title" message="Message with the cusom icon" icon="robot" iconColor="default"
          :show="show" />
      </template>
      
        
    
        
            
      <script>
        import {
          mdbToastNotification
        } from "mdbvue";
        export default {
          name: "NotificationsPage",
          components: {
            mdbToastNotification
          },
          data() {
            return {
              show: true,
            };
          }
        };
      </script>
      
        
    

Time display

To hide time count set the time property to false.

        
            
      <template>
        <mdb-toast-notification :time="false" :show="show"></mdb-toast-notification>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbToastNotification
        } from "mdbvue";
        export default {
          name: "NotificationsPage",
          components: {
            mdbToastNotification
          },
          data() {
            return {
              show: true
            };
          }
        };
      </script>
      
        
    

You can overwrite the default starting point for time count by passing Date Object to the received property.

        
            
      <template>
        <mdb-toast-notification :show="show" :received="date"></mdb-toast-notification>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbToastNotification
        } from "mdbvue";
        export default {
          name: "NotificationsPage",
          components: {
            mdbToastNotification
          },
          data() {
            return {
              show: true,
              date: new Date('2019-04-16 16:00')
            };
          }
        };
      </script>
      
        
    

Vue Material Notifications - API

In this section you will find information about how exactly to use notifications.


Basic usage

Toastr-like Notify feature is rather special among the general components population, as it is rather a funtionality (a plugin, if you may), rather than the template markup.

It means that to display a notification you do not have to import and position it yourself. Rather, it works as a plugin, meaning that all Vue instances have the ability to call a notification. Let's start off by adding this ability to their arsenal. To make notification available to the all (aka. to add it as a plugin), import it into your root Vue instance and make Vue .use() Notify. If you are using vue-cli, the root Vue instance is accessible in the /src/main.js file. Make sure it looks something like this:

        
            
        <script>
          import 'bootstrap-css-only/css/bootstrap.min.css';
          import 'mdbvue/build/css/mdb.css';
          import App from './App.vue'
          import Notify from 'mdbvue';

          Vue.use(Notify);
        </script>
        
        
    

Voilà! Now, notifications are available everywhere!


Calling a notification

Generally, a notification pops up once we call one of the $notify global property methods, namely

        
            
      <script>
        this.$notify.success(); // or
        this.$notify.info(); // or
        this.$notify.warn(); // or
        this.$notify.error();
      </script>
      
        
    

With no parameters, calling it will show a basic notification of designated color and with no content in its default position, being top center.


Customization

To give a notification some character, pass in a configuration object as the function parameter. Below are it's available properties:

Name Type Default Description
title String '' Title, if any
message String '' Text within the notification's "paragraph"
closeButton Boolean true Should the close button ("x") be there?
progressBar Boolean false Sets whether a progress bar should mark notification's timeout
position String top right Available values: 'top right', 'bottom right', 'bottom left', 'top left', 'top center', 'bottom center', 'top full width', 'bottom full width'
showMethod String fadeIn Animations class name for shown, default as fadeIn
hideMethod String fadeOut Animations class name for hide, default as fadeOut
showDuration Number 1000 Duration of show animation in ms
hideDuration Number 1000 Duration of hide animation in ms
delay Number 0 (no dalay) Helps to set up a delay on when the notification should appear in ms
timeOut Number 1500 Sets duration of time the notification is out there in ms
color String successColor Overwrite the default color of a notification

A full exemplification of an this.$notify with a configuration object inside some component's method:

        
            
    <script>
      this.$notify.warn({
        message: 'This is a programmatic warning from within some component',
        position: 'top right',
        timeOut: 5000,
        closeButton: false,
        progressBar: true,
        delay: 2000
      });
    </script>
    
        
    

Closing notifications

Notifications disappear after a time-out, which covers most use cases. To dismiss a notification, an user may click the close button, which is provided by default. Lastly, application's logic can clear all the notifications programmatically, calling

this.$notify.removeAll()

Vue Bootstrap Notifications - API

In this section you will find information about how exactly to use notifications.


Basic example

        
            
      <template>
        <mdb-toast-notification :show="show"></mdb-toast-notification>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbToastNotification
        } from "mdbvue";

        export default {
          name: "NotificationsFreePage",
          components: {
            mdbToastNotification,
          },
          data() {
            return {
              show: true
            }
          }
        };
      </script>
      
        
    

Properties

To give a notification some character, pass in a configuration object as the function parameter. Below are it's available properties:

Name Type Default Description
title String '' Title
message String '' Text within the notification's "paragraph"
icon String 'square' Sets a custom icon.
iconSize String 'lg' Changes a size of an icon.
iconColor String 'primary' Changes a color of an icon.
show Boolean false Controls displaying of a notification.
time Boolean true Controls displaying of a time counter.
received Date Sets a starting points for a time counter.

React Bootstrap Notifications

React Notifications - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Push notifications to your visitors with a toast, a lightweight and easily customizable alert message.

Toasts are lightweight notifications designed to mimic the push notifications that have been popularized by mobile and desktop operating systems. They’re built with flexbox, so they’re easy to align and position.


Bootstrap example

To encourage extensible and predictable toasts, we recommend a header and body. Toast headers use display: flex, allowing easy alignment of content thanks to our margin and flexbox utilities.

Toasts are as flexible as you need and have very little required markup. At a minimum, we require a single element to contain your “toasted” content and strongly encourage a dismiss button.

        
            
              import React, { Component } from "react";
              import { MDBNotification } from "mdbreact";

              class Notification extends Component {
                render() {
                  return (
                    <MDBNotification
                      show
                      fade
                      iconClassName="text-primary"
                      title="Bootstrap"
                      message="Hello, world! This is a toast message."
                      text="11 mins ago"
                    />
                  );
                }
              }

              export default Notification;


          
        
    

Material example MDB Pro component

        
            

            import React from 'react';
            import { toast, ToastContainer, MDBContainer, MDBBtn } from 'mdbreact';

            const Notification = () => {
              const notify = type => {
                return () => {
                  switch (type) {
                    case 'info':
                      toast.info('Info message', {
                        closeButton: false
                      });
                      break;
                    case 'success':
                      toast.success('Success message', {
                        closeButton: false
                      });
                      break;
                    case 'warning':
                      toast.warn('Warning message', {
                        closeButton: false
                      });
                      break;
                    case 'error':
                      toast.error('Error message', {
                        closeButton: false
                      });
                      break;
                    default:
                      toast.error('Error message', {
                        closeButton: false
                      });
                  }
                };
              };

              return (
                <MDBContainer>
                  <MDBBtn color='info' onClick={notify('info')}>
                    Info
                  </MDBBtn>
                  <hr />
                  <MDBBtn color='success' onClick={notify('success')}>
                    Success
                  </MDBBtn>
                  <hr />
                  <MDBBtn color='warning' onClick={notify('warning')}>
                    Warning
                  </MDBBtn>
                  <hr />
                  <MDBBtn color='danger' onClick={notify('error')}>
                    Error
                  </MDBBtn>
                  <ToastContainer
                    hideProgressBar={true}
                    newestOnTop={true}
                    autoClose={5000}
                  />
                </MDBContainer>
              );
            };

            export default Notification;

        
        
    

Translucent

Notifications are slightly translucent, too, so they blend over whatever they might appear over. For browsers that support the backdrop-filter CSS property, we’ll also attempt to blur the elements under a notification.

        
            

          import React, { Component } from "react";
          import { MDBContainer, MDBNotification } from "mdbreact";

          class Notification extends Component {
            render() {
              return (
                <MDBContainer className="grey darken-3 p-3">
                  <MDBNotification
                    iconClassName="text-primary"
                    show
                    fade
                    title="Bootstrap"
                    message="Hello, world! This is a toast message."
                    text="11 mins ago"
                  />
                </MDBContainer>
              );
            }
          }

          export default Notification;


        
        
    

Stacking

When you have multiple notifications, we default to vertiaclly stacking them in a readable manner.

        
            

          import React, { Component } from "react";
          import { MDBNotification, MDBContainer } from "mdbreact";

          class Notification extends Component {
            render() {
              return (
                <MDBContainer>
                  <MDBNotification
                    show
                    fade
                    iconClassName="text-primary"
                    title="Bootstrap"
                    message="See? Just like this."
                    text="just now"
                  />
                  <MDBNotification
                    show
                    fade
                    iconClassName="text-primary"
                    title="Bootstrap"
                    message="Heads up, toasts will stack automatically"
                    text="2 seconds ago"
                  />
                </MDBContainer>
              );
            }
          }

          export default Notification;


        
        
    

Placement

Place notifications with custom CSS as you need them. The top right is often used for notifications, as is the top middle. If you’re only ever going to show one notification at a time, put the positioning styles right on the .toast.

Bootstrap 11 mins ago
Hello, world! This is a toast message.
        
            
          import React, { Component } from "react";
          import { MDBNotification } from "mdbreact";

          class Notification extends Component {
            render() {
              return (
                <MDBNotification
                  show
                  fade
                  iconClassName="text-primary"
                  title="Bootstrap"
                  message="Hello, world! This is a toast message."
                  text="11 mins ago"
                  style={{
                    position: "fixed",
                    top: "10px",
                    right: "10px",
                    zIndex: 9999
                  }}
                />
              );
            }
          }

          export default Notification;

        
        
    

For systems that generate more notifications, consider using a wrapping element so they can easily stack.

        
            
          import React, { Component } from "react";
          import { MDBNotification, MDBContainer } from "mdbreact";

          class Notification extends Component {
            render() {
              return (
                <MDBContainer
                  style={{
                    width: "auto",
                    position: "fixed",
                    top: "10px",
                    right: "10px",
                    zIndex: 9999
                  }}
                >
                  <MDBNotification
                    show
                    fade
                    iconClassName="text-primary"
                    title="Bootstrap"
                    message="See? Just like this."
                    text="just now"
                  />
                  <MDBNotification
                    show
                    fade
                    iconClassName="text-primary"
                    title="Bootstrap"
                    message="Heads up, toasts will stack automatically"
                    text="2 seconds ago"
                  />
                </MDBContainer>
              );
            }
          }

          export default Notification;

        
        
    

Custom icons

Use icon property to set custom icon from the icons list.

        
            

            import React, { Component } from "react";
            import { MDBNotification } from "mdbreact";

            class Notification extends Component {
              render() {
                return (
                  <MDBNotification
                    show
                    fade
                    icon="envelope"
                    iconClassName="green-text"
                    title="New Message"
                    message="Hello, user! You have a new message."
                    text="just now"
                  />
                );
              }
            }

            export default Notification;
        
        
    

Customizable

Notifications also are customisable with classes. You can set classes for props such as titleClassName, bodyClassName, closeClassName and className to change styles. And you can write your own messages in props title, text and message. The icon you can edit with iconClassName prop and add for it your own class with color, For example, blue-grey-text. The full description you can see on API card.

        
            
          import React, { Component } from "react";
          import { MDBNotification } from "mdbreact";

          class Notification extends Component {
            render() {
              return (
                <MDBNotification
                  autohide={3000} // by default = ∞ ms
                  bodyClassName="p-5 font-weight-bold white-text"
                  className="stylish-color-dark"
                  closeClassName="blue-grey-text"
                  fade
                  icon="bell"
                  iconClassName="blue-grey-text"
                  message="Hello, world! This is a toast message."
                  show
                  text="11 mins ago"
                  title="Bootstrap"
                  titleClassName="elegant-color-dark white-text"
                />
              );
            }
          }

          export default Notification;

        
        
    

React Notifications - API

React Notification - Free Component

To use either make sure you have probably imported them first:

        
            
            import { MDBNotification } from "mdbreact";
          
        
    

Options

Each of the aforementioned indgredients for an notifications serves as an entry-point for its customization. The object's properties below.

Name Type Default Description Example
autohide Number 0 Sets time in ms when box hide. 0 = infinity <MDBNotification autohide={3000} />
bodyClassName String Adds custom classes to the 'body' section of notification component <MDBNotification bodyClassName="p-5 font-weight-bold" />
className String Adds custom classes to the wrapper <MDBNotification className="stylish-color-dark" />
className String Adds custom classes to the Close button <MDBNotification closeClassName="blue-grey-text" />
closeClassName String Adds custom classes to the Close button <MDBNotification closeClassName="blue-grey-text" />
fade Boolean false Adds a fade effect when you close the notification <MDBNotification fade />
icon String square Sets a custom icon. <MDBNotification icon="bell" />
iconClassName String Adds custom classes to the Icon <MDBNotification iconClassName="green-text" />
message String Sets message of the notification <MDBNotification message="Hello, world! This is a toast message." />
show Boolean false Shows your component. If you do not use this setting, your component will exist, but it will be hidden. <MDBNotification show />
text String Sets text of the notification <MDBNotification text="Just now" />
title String Set header text of the notification <MDBNotification title="Someone sent you an email" />
titleClassName String Adds custom classes to the tittle text <MDBNotification titleClassName="elegant-color-dark white-text" />

React Notification - Pro Component MDB Pro component

The notifications consists of two elements: toast, which is a method used to programmatically trigger an notifications, and a ToastContainer that is required to host the toast. To use either make sure you have probably imported them first:

        
            
                import { toast, ToastContainer } from 'mdbreact';
              
        
    

Options

Each of the aforementioned indgredients for an notifications serves as an entry-point for its customization. toast() method accepts two arguments, first one being our message (or a JSX component to be rendered in its place), while the second is an option object. The object's properties below.

Key Type Default Description
position string top-right One of top-right, top-center, top-left, bottom-right, bottom-center, bottom-left
autoClose false or int 5000 Delay in ms to close the toast. If set to false, the notification need to be closed manualy
closeButton React Element or false - A React Component to replace the default close button or false to hide the button
transition function - A reference to a valid react-transition-group/Transition component
hideProgressBar boolean false Display or not the progress bar below the toast(remaining time)
pauseOnHover boolean true Keep the timer running or not on hover
closeOnClick boolean true Dismiss toast on click
newestOnTop boolean false Display newest toast on top
className string - Add optional classes to the container
style object - Add optional inline style to the container
toastClassName string - Add optional classes to the toast
bodyClassName string - Add optional classes to the toast body
progressClassName string - Add optional classes to the progress bar
dragabble string/object - Allow toast to be draggable
draggablePercent number 80 The percentage of the toast's width it takes for a drag to dismiss a toast(value between 0 and 100)

There is also the second way to apply options to the toast notifications. The keys of the option object discussed above represent consecutive props of the ToastContainer component, that in turn accept values specified in the table. Beside being able to define toast notifications customization otherwise than on a toast-to-toast basis, this option input offers few features unavailable to the toast() method.

Props Type Default Description
newestOnTop boolean false Changes the order of incoming toasts
Right to left layout boolean false Changes layout inside the toasts to properly render content in languages with right-to-left writing system

Toast options supersede ToastContainer props.


Rendering a component MDB Pro component

The notifications obviously support content that is of string type, but in fact they go far beyond that: they allow you to render your own components! It is enough to just past them as the first argument of the toast() function. Remember: when rendering a component, a closeToast function is passed as a props. It is used to trigger closing the notifications on user interaction.

        
            
              import { ToastContainer, toast } from "mdbreact";
    
              const Msg = ({ closeToast }) => (
                  <div>
                    Lorem ipsum dolor
                    <button>Retry</button>
                    <button onClick={closeToast}>Close</button>
                  </div>
              )
              
              const App = () => (
                  <div>
                    <button onClick={() => toast(<Msg />)}>Hello 😀</button>
                    <ToastContainer />
                  </div>
              );
            
        
    

Programmatic removal MDB Pro component

Every time a toast is displayed, an id is returned. Calling toast.dissmiss(id) removes a toast; calling the function with no arguments dissmisses all the toasts.

        
            
              import { toast } from 'react-toastify';
    
              class Example extends Component {
                toastId = null;
              
                notify = () => this.toastId = toast("Lorem ipsum dolor");
              
                dismiss = () => toast.dismiss(this.toastId);
              
                dismissAll = () => toast.dismiss();
              
                render(){
                  return (
                    <React.Fragment>
                      <button onClick={this.notify}>Notify</button>
                      <button onClick={this.dismiss}>Dismiss</button>
                      <button onClick={this.dismissAll}>Dismiss All</button>
                    </React.Fragment>
                  );
                }
              }
            
        
    

Updating a toast MDB Pro component

Notifications's options are inherited at render, but there is an easy way to update it using... the update() function. Take a look:

        
            
              import React, { Component } from 'react';
              import { toast } from 'react-toastify';
              
              class Update extends Component {
                  toastId = null;
              
                notify = () => this.toastId = toast("Hello", { autoClose: false });
              
                update = () => toast.update(this.toastId, { type: "info", autoClose: 5000 });
              
                render(){
                      return (
                        <React.Fragment>
                          <button onClick={this.notify}>Notify</button>
                          <button onClick={this.update}>Update</button>
                        </React.Fragment>
                    )
                }
              }
            
        
    

Among the notifications's features open for alteration is its content. You can access is under the render key inside the update() function.

        
            
          // With a string
            toast.update(this.toastId, {
              render: "New content"
              type: "info",
              autoClose: 5000
            });
            
            // Or with a component
            toast.update(this.toastId, {
              render: <MyComponent />
              type: "info",
              autoClose: 5000
            });
          
        
    

Prevent duplicates MDB Pro component

To prevent duplicates, you can check if a given toast is active by calling toast.isActive(id) like the snippet below. With this approach, you can decide with more precision whether or not you want to display a toast.

        
            
            import React, { Component } from 'react';
            import { toast } from 'mdbreact';
            
            class Example extends Component {
              toastId = null;
            
              notify = () => {
                if (! toast.isActive(this.toastId)) {
                  this.toastId = toast("I cannot be duplicated !");
                }
              }
            
              render(){
                return (
                  <div>
                    <button onClick={this.notify}>Notify</button>
                  </div>
                );
              }
            }
          
        
    

Transition MDB Pro component

There is 4 built-in transition provided:

  • Bounce
  • Slide
  • Zoom
  • Flip
Bounce is applied by default, but you can apply any of them:

        
            
              import { Slide, Zoom, Flip, Bounce } from 'mdbreact';

              <ToastContainer
                transition={Slide}
              />
            //...
              <ToastContainer
                transition={YourCustomTransition}
              />
            
        
    

...But you can define your own transition! The toast relies on react-transition-group for the enter and exit transition, therefore any transition built with it is fine! Let's take a look at how an animation is defined is, using zoom animation from animate.css as an example.

        
            
              /* style.css*/
              @keyframes zoomIn {
                from {
                  opacity: 0;
                  transform: scale3d(.3, .3, .3);
                }
              
                50% {
                  opacity: 1;
                }
              }
              
              .zoomIn {
                animation-name: zoomIn;
              }
              
              @keyframes zoomOut {
                from {
                  opacity: 1;
                }
              
                50% {
                  opacity: 0;
                  transform: scale3d(.3, .3, .3);
                }
              
                to {
                  opacity: 0;
                }
              }
              
              .zoomOut {
                animation-name: zoomOut;
              }
              
              /* Not needed with the cssTransition helper */
              
              .animate {
                animation-duration: 800ms;
              }
            
        
    

The easiest way to roll your own transition is by using the cssTransition helper, which allows us to skip ahead all the react-transition-group-related hussle. Only thing needed here are the enter and exit class names. The transition duration is set to 750ms by default but it can be overridden:

        
            
              import React, { Component } from 'react';
              import { toast, cssTransition } from 'mdbreact';
              import './style.css';
              
              const Zoom = cssTransition({
                enter: 'zoomIn',
                exit: 'zoomOut',
                // default to 750ms, can be omitted
                duration = 750,
                // to have different times of exit / entry, pass in an Array
              });
              
              class App extends Component {
                notify = () => {
                  toast("ZoomIn and ZoomOut", {
                    transition: Zoom,
                    autoClose: 5000
                  });
                };
              
                render(){
                    return <button onClick={this.notify}>Notify</button>;
                }
              }
            
        
    

Some transitions are based on the toast position. If you pass appendPosition to the cssTransition helper as shown below, the current position will be appended to the enter and exit class name:

        
            
          
            import React, { Component } from 'react';
            import { toast, cssTransition } from 'mdbreact';
            import './style.css';
            
            const Zoom = cssTransition({
                // zoomIn will become zoomIn--top-right or zoomIn--top-left and so on
                enter: 'zoomIn',
                // zoomIn will become zoomOut--top-right or zoomOut--top-left and so on
                exit: 'zoomOut',
                // default to false
                appendPosition: true
            });
            
            class App extends Component {
                notify = () => {
                  toast("ZoomIn and ZoomOut", {
                    transition: Zoom,
                    autoClose: 5000
                  });
                };
            
              render(){
                  return <button onClick={this.notify}>Notify</button>;
              }
            }
          
        
    

Ultimately, you may want to define transition yourself, from scratch. Note: in that case you will need the react-transition-group.

        
            
              import React, { Component } from 'react';
              import { toast } from 'mdbreact';
              import Transition from 'react-transition-group/Transition';
              import './style.css';
              
              const ZoomInAndOut = ({ children, position, ...props }) => (
                  <Transition
                  {...props}
                  {/* Same as the animation duration */}
                  timeout={800}
                  onEnter={ node => node.classList.add('zoomIn', 'animate')}
                  onExit={node => {
                    node.classList.remove('zoomIn', 'animate');
                    node.classList.add('zoomOut', 'animate');
                  }}
                >
                  {children}
                </Transition>
              );
              
              class App extends Component {
                notify = () => {
                  toast("ZoomIn and ZoomOut", {
                    transition: ZoomInAndOut,
                    autoClose: 5000
                  });
                };
              
                render(){
                  return <button onClick={this.notify}>Notify</button>;
                }
              }
            
        
    
Parameter Type Required Default Description
enter string - The class name that will be used when the toast enter
exit string - The class name that will be used when the toast exit
duration number| Array 750 The transition duration in ms.
appendPosition bool false Append or not the position to the class name: yourClassName--top-right, yourClassName--bottom-left...

React Notifications - examples & customization

Notifications creator MDB Pro component

Features
Position
Toast Type

Can also be changed on toast using the type option.


Within a method:
                        
Container options: